package main

import (
	"log"
	"shandong_datapush/config"
	"shandong_datapush/service"
	"time"
)

func main() {
	log.Println("==================数据推送程序启动=================")
	config.DBConnection()
	go staticDataPush()
	realTimeDataPush()
}

/*
	静态数据推送
 */
func staticDataPush() {
	for range time.Tick(time.Second * 10) {
		log.Println("=======================================staticDataPush")
		service.WkkBasicDataProcess()
		service.KswStaticDataProcess()
		service.GtStaticDataProcess()
		service.JrxStaticDataProcess()
		service.JylStaticDataProcess()
		service.NbwyStaticDataProcess()
	}
}

/*
	实时数据推送
 */
func realTimeDataPush() {
	for range time.Tick(time.Second * 15) {
		log.Println("=======================================realTimeDataPush")
		service.GtRealTimeDataProcess()
		service.KswRealTimeDataProcess()
		service.JrxRealTimeDataProcess()
		service.JylRealTimeDataProcess()
		service.NbwyRealTimeDataProcess()
		service.DOLRealTimeDataProcess()
		service.AMSRealTimeDataProcess()
	}
}